%define name pavucontrol
%define version 0.9.5
%define release %mkrel 1

Summary: Volume control for Pulseaudio sound server for Linux
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
License: LGPL
Group: Sound
Url: http://0pointer.de/lennart/projects/pavucontrol
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gtkmm2.4-devel
BuildRequires: libglademm2.4-devel
BuildRequires: libpulseaudio-devel >= 0.9.7
BuildRequires: lynx
BuildRequires: desktop-file-utils
Requires: pulseaudio
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

Provides: pulseaudio-volume-control

%description
Pulseaudio Volume Control (pavucontrol) is a simple 
GTK based volume control tool for the Pulseaudio sound 
server. In contrast to classic mixer tools this one allows 
you to control both the volume of hardware devices and of 
each playback stream separately.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

desktop-file-install --vendor="" \
  --add-category="GTK" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --remove-category="Application" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%post
%{_bindir}/update-desktop-database %{_datadir}/applications > /dev/null

%postun
if [ -x %{_bindir}/update-desktop-database ]; then %{_bindir}/update-desktop-database %{_datadir}/applications > /dev/null ; fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README LICENSE
%_bindir/%name
%_datadir/applications/%name.desktop
%_datadir/%name/%name.glade




%changelog
* Thu Nov 01 2007 Colin Guthrie <cguthrie@mandriva.org> 0.9.5-1mdv2008.0
+ Revision: 104765
- Add BuildRequires on libpulse-devel >= 0.9.7

* Tue Oct 30 2007 Colin Guthrie <cguthrie@mandriva.org> 0.9.5-1mdv2008.1
+ Revision: 103905
- New version

* Tue Aug 21 2007 Colin Guthrie <cguthrie@mandriva.org> 0.9.4-2mdv2008.0
+ Revision: 68116
- Fix Move Stream left mouse handling


* Mon Feb 05 2007 Colin Guthrie <cguthrie@mandriva.org> 0.9.4-1mdv2007.0
+ Revision: 116259
- Import pavucontrol

* Mon Aug 28 2006 Götz Waschk <waschk@mandriva.org> 0.9.4-1mdv2007.0
- bump deps
- New release 0.9.4

* Wed Aug 23 2006 Götz Waschk <waschk@mandriva.org> 0.9.3-1mdv2007.0
- rebuild for new cairomm

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 0.9.3-1
- New release 0.9.3

* Tue Jul 11 2006 Götz Waschk <waschk@mandriva.org> 0.9.2-1mdv2007.0
- update deps
- New release 0.9.2

* Sat Jun 17 2006 Götz Waschk <waschk@mandriva.org> 0.9.1-4mdv2007.0
- fix menu
- fix buildrequires

* Fri Jun 16 2006 Götz Waschk <waschk@mandriva.org> 0.9.1-3mdv2007.0
- fix buildrequires

* Sat Jun 10 2006 Götz Waschk <waschk@mandriva.org> 0.9.1-2mdv2007.0
- fix menu
- fix deps

* Tue Jun 06 2006 Jerome Soyer <saispo@mandriva.org> 0.9.1-1mdv2007.0
- Fix Provides
- Fix Menu
- New release 0.9.1

* Mon Jun 05 2006 Jerome Soyer <saispo@mandriva.org> 0.9.0-1mdv2007.0
- Initial Package for Mandriva

